package TO;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * 
 * @author Marcos García Núñez (mgarcianun@uoc.edu)
 *
 */
@XmlRootElement(name = "medicalSpecialty")
public class MedicalSpecialtyTO implements Serializable {

	private static final long serialVersionUID = 1L;
	private Integer id;
	private String name;
	private String description;

	public MedicalSpecialtyTO() {
		super();
	}

	public MedicalSpecialtyTO(Integer id, String name, String description) {
		this.id = id;
		this.name = name;
		this.description = description;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	public String getDisplayName() {
		return String.format("[%s] %s", this.name, this.description);
	}

	@Override
	public String toString() {
	    return String.format("%s[name=%s]", getClass().getSimpleName(), getName());
	}
	
}
